#version 330
layout(location = 0) in vec3 Position;
layout(location = 1) in vec3 Normal;
layout(location = 2) in vec2 UV;
layout(location = 3) in ivec4 BoneIDs;
layout(location = 4) in vec4 Weights;


out vec3 vCamPosition;
out vec3 vCamNormal;
out vec2 vUV;
out vec4 debugout;

uniform mat4x4 MV;
uniform mat4x4 MVP;
uniform mat3x3 N;

uniform mat4x4 Bones[100];

void main(void)
{

    debugout = vec4(BoneIDs)/60;
    debugout = Weights;
    //debugout = vec4(1);

    mat4x4 BoneTransform= mat4x4(0.0);

    for(int i =0; i <4; i++){
        BoneTransform     += Bones[BoneIDs[i]] * Weights[i];
    }

    if(Weights[0] == 0.0){
        BoneTransform = mat4x4(1.0);
    }


    vec4 Pos = BoneTransform*vec4(Position,1.0);
    vec4 Nor = BoneTransform*vec4(Normal,0.0);

    //Pos = vec4(Position,1.0);

    vCamPosition = vec4(MV*Pos).xyz;
    vCamNormal = N*(Nor.xyz);
    vUV = UV;


    gl_Position = MVP * Pos;


}

