#include "mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent)
{
    Camera *cam = new Camera();


    m_centralWidget = new MainWidget(cam);

    toolBar = new QToolBar("Animation",this);
    addToolBar(toolBar);

    loadMesh = new QAction("Load Mesh",this);
    loadMesh->setShortcut(QKeySequence("Ctrl+N"));
    connect(loadMesh, SIGNAL(triggered()), m_centralWidget, SLOT(loadNewMesh()));
    toolBar->addAction(loadMesh);

    switchInterpolation = new QAction("Lin Interpol",this);
    switchInterpolation->setCheckable(true);
    switchInterpolation->setChecked(false);
    connect(switchInterpolation, SIGNAL(triggered(bool)), m_centralWidget, SLOT(setInterpolation(bool)));
    toolBar->addAction(switchInterpolation);

    switchRotation = new QAction("Rotation",this);
    switchRotation->setCheckable(true);
    switchRotation->setChecked(true);
    connect(switchRotation, SIGNAL(triggered(bool)), m_centralWidget, SLOT(setRotation(bool)));
    toolBar->addAction(switchRotation);

    stopAnimation = new QAction("Start/Stop",this);
    stopAnimation->setCheckable(true);
    stopAnimation->setChecked(true);
    connect(stopAnimation, SIGNAL(triggered(bool)), m_centralWidget, SLOT(setAnimating(bool)));
    toolBar->addAction(stopAnimation);

    nextAnimation = new QAction("Next",this);
    nextAnimation->setCheckable(false);
    connect(nextAnimation, SIGNAL(triggered()), m_centralWidget, SLOT(nextAnimation()));
    toolBar->addAction(nextAnimation);

    CamHome = new QAction("Cam",this);
    CamHome->setCheckable(false);
    connect(CamHome, SIGNAL(triggered()), cam, SLOT(home()));
    toolBar->addAction(CamHome);



   this->setCentralWidget(m_centralWidget);

 //  showMaximized();
}

MainWindow::~MainWindow()
{
}
